- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# FbxPropertyInfo Class Reference

Search for all occurrences

## Detailed Description

Definition at line 161 of file fbxpropertypage.h.

`#include <fbxpropertypage.h>`

List of all members.

## Public Types
enum | EValueIndex { eValueMin, eValueSoftMin, eValueMax, eValueSoftMax, eValueCount }
## Public Member Functions
| FBXSDK_FRIEND_NEW ()
void | Destroy ()
FbxPropertyInfo * | Clone (FbxPropertyPage *)
void | IncRef ()
void | DecRef ()
int | GetRef ()
FbxStringSymbol | GetName () const
EFbxType | GetType () const
FbxTypeInfo * | GetTypeInfo () const
void | SetLabel (const char *pLabel)
const char * | GetLabel () const
void | SetUserTag (int pUserTag)
int | GetUserTag () const
void | SetUserData (const void *pUserData)
void * | GetUserData () const
int | AddEnumValue (const char *pStringValue)
void | InsertEnumValue (int pIndex, const char *pStringValue)
int | GetEnumCount ()
void | SetEnumValue (int pIndex, const char *pStringValue)
void | RemoveEnumValue (int pIndex)
char * | GetEnumValue (int pIndex)
bool | HasMinMax (EValueIndex pId) const
bool | GetMinMax (EValueIndex pId, void *pValue, EFbxType pValueType) const
bool | SetMinMax (EValueIndex pId, const void *pValue, EFbxType pValueType)
## Static Public Member Functions
static FbxPropertyInfo * | Create (const char *pName, FbxTypeInfo *pTypeInfo)
static FbxPropertyInfo * | Create (const char *pName, EFbxType pType=eFbxUndefined)

## Member Enumeration Documentation

enum EValueIndex

Search for all occurrences

Enumerator:

  eValueMin | Search for all occurrences
  eValueSoftMin | Search for all occurrences
  eValueMax | Search for all occurrences
  eValueSoftMax | Search for all occurrences
  eValueCount | Search for all occurrences

Definition at line 263 of file fbxpropertypage.h.

    {eValueMin, eValueSoftMin, eValueMax, eValueSoftMax, eValueCount};

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

static FbxPropertyInfo* Create | ( | const char * | pName,
|  | FbxTypeInfo * | pTypeInfo
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 164 of file fbxpropertypage.h.

    { return FbxNew< FbxPropertyInfo >(pName,pTypeInfo); }

static FbxPropertyInfo* Create | ( | const char * | pName,
|  | EFbxType | pType = `eFbxUndefined`
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 165 of file fbxpropertypage.h.

    { return FbxNew< FbxPropertyInfo >(pName,pType); }

void Destroy | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 166 of file fbxpropertypage.h.

    { FbxDelete(this); }

FbxPropertyInfo* Clone | ( | FbxPropertyPage * |  | ) | `[inline]`

Search for all occurrences

Definition at line 167 of file fbxpropertypage.h.

        {
            // @@@@@ Filter is missing
            // @@@@@ Clone is incomplete
            if (mTypeInfo)
            {
                return FbxNew< FbxPropertyInfo >(mName,mTypeInfo);
            }
            else
            {
                return FbxNew< FbxPropertyInfo >(mName,mType);
            }
        }

void IncRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 181 of file fbxpropertypage.h.

    { mRef++; }

void DecRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 182 of file fbxpropertypage.h.

    { mRef--; if (mRef==0) FbxDelete(this); }

int GetRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 183 of file fbxpropertypage.h.

    { return mRef; }

FbxStringSymbol GetName | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 187 of file fbxpropertypage.h.

    { return mName; }

EFbxType GetType | ( |  | ) | const

Search for all occurrences

FbxTypeInfo* GetTypeInfo | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 189 of file fbxpropertypage.h.

    { return mTypeInfo; }

void SetLabel | ( | const char * | pLabel | ) | `[inline]`

Search for all occurrences

Definition at line 191 of file fbxpropertypage.h.

    { mLabel=pLabel;          }

const char* GetLabel | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 192 of file fbxpropertypage.h.

    { return mLabel.IsEmpty() ? "" : ((const char*)mLabel); }

void SetUserTag | ( | int | pUserTag | ) | `[inline]`

Search for all occurrences

Definition at line 194 of file fbxpropertypage.h.

    { mUserTag=pUserTag;      }

int GetUserTag | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 195 of file fbxpropertypage.h.

    { return mUserTag;        }

void SetUserData | ( | const void * | pUserData | ) | `[inline]`

Search for all occurrences

Definition at line 197 of file fbxpropertypage.h.

    { mUserData=(void*)pUserData;    }

void* GetUserData | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 198 of file fbxpropertypage.h.

    { return mUserData;       }

int AddEnumValue | ( | const char * | pStringValue | ) | `[inline]`

Search for all occurrences

Definition at line 201 of file fbxpropertypage.h.

        {
            if (GetType() == eFbxEnum)
            {
                if (!mEnumList)
                    mEnumList.Reset(FbxNew< FbxStringList >());

                if( mEnumList->FindIndex( pStringValue ) == -1 )
                    return mEnumList->Add((char*)pStringValue);
            }
            return -1;
        }

void InsertEnumValue | ( | int | pIndex,
|  | const char * | pStringValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 214 of file fbxpropertypage.h.

        {
            if (GetType() == eFbxEnum)
            {
                if (!mEnumList)
                    mEnumList.Reset(FbxNew< FbxStringList >());

                mEnumList->InsertAt(pIndex,(char*)pStringValue);
            }
        }

int GetEnumCount | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 225 of file fbxpropertypage.h.

        {
            return mEnumList ? mEnumList->GetCount() : 0;
        }

void SetEnumValue | ( | int | pIndex,
|  | const char * | pStringValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 230 of file fbxpropertypage.h.

        {
            if (GetType() == eFbxEnum)
            {
                if (!mEnumList)
                    mEnumList.Reset(FbxNew< FbxStringList >());

                mEnumList->SetStringAt(pIndex,(char*)pStringValue);
            }
        }

void RemoveEnumValue | ( | int | pIndex | ) | `[inline]`

Search for all occurrences

Definition at line 241 of file fbxpropertypage.h.

        {
            if (GetType() == eFbxEnum)
            {
                if (!mEnumList)
                    mEnumList.Reset(FbxNew< FbxStringList >());

                mEnumList->RemoveAt(pIndex);
            }
        }

char* GetEnumValue | ( | int | pIndex | ) | `[inline]`

Search for all occurrences

Definition at line 252 of file fbxpropertypage.h.

        {
          char* lValue = NULL;
            if (GetType() == eFbxEnum) {
                lValue = mEnumList ? mEnumList->GetStringAt(pIndex) : 0;
            }
            return lValue;
        }

bool HasMinMax | ( | EValueIndex | pId | ) | const `[inline]`

Search for all occurrences

Definition at line 265 of file fbxpropertypage.h.

        {
            return mMinMaxValue[pId] != NULL;
        }

bool GetMinMax | ( | EValueIndex | pId,
|  | void * | pValue,
|  | EFbxType | pValueType
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 270 of file fbxpropertypage.h.

        {
            if (mMinMaxValue[pId]) {
                return FbxTypeCopy(pValue, pValueType, mMinMaxValue[pId], GetType());
            }
            return false;
        }

bool SetMinMax | ( | EValueIndex | pId,
|  | const void * | pValue,
|  | EFbxType | pValueType
| ) |  | `[inline]`

Search for all occurrences

Definition at line 278 of file fbxpropertypage.h.

        {
            if (!mMinMaxValue[pId]) {
              size_t lSize = FbxTypeSizeOf(GetType());
                if (lSize) {
                    mMinMaxValue[pId] = FbxMalloc(lSize);
                }
            }
            if (mMinMaxValue[pId]) {
                return FbxTypeCopy(mMinMaxValue[pId], GetType(), pValue, pValueType);
            }
            return false;
        }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertypage.h

FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo
FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo FbxPropertyInfo